This page was generated
January  28,  2016
4:09  AM
XQuery & XSLT Built-In & Modules Function Reference

REST Resources API

The following table lists the APIs that correspond to the REST Resources API. Click on a function name to go directly to the detailed function description, or use the tree on the left to navigate to the functions by group.
REST Resource Summary
manage:/admin/v1/cluster-config Provide host or cluster configuration information suitable for adding a new host to an existing cluster.
manage:/admin/v1/host-config Remove a host's configuration from the cluster configuration, dropping the host from the cluster.
manage:/admin/v1/init Initialize MarkLogic Server, optionally installing or updating an license key at the same time; or install/update a license key for a previously initialized instance of MarkLogic Server.
manage:/admin/v1/instance-admin Install the admin username and password, and initialize the security database and objects.
manage:/admin/v1/server-config Retrieve MarkLogic Server configuration information, suitable for use in joining a cluster.
manage:/admin/v1/timestamp Verify that MarkLogic Server is up and accepting requests.
manage:/admin/v1/timestamp Verify that MarkLogic Server is up and accepting requests.
manage:/manage/v2?view=query This resource address returns the summary of all of the resources in the local cluster, or resources in the local cluster that match a query.
manage:/manage/v2?view=status This resource address returns a status summary for the local cluster.
manage:/manage/v2/ This resource address returns summary information for the local cluster.
manage:/manage/v2/clusters This resource address returns a list of all of the clusters coupled to the local cluster.
manage:/manage/v2/clusters?view=metrics Retrieve historical monitoring data for the clusters coupled to the local cluster.
manage:/manage/v2/clusters/{id|name} This resource address returns summary information for the specified foreign cluster.
manage:/manage/v2/clusters/{id|name} Initiate a state change on the named cluster, such as a shutdown or restart.
manage:/manage/v2/clusters/{id|name}?view=config Retrieve configuration information for the named foreign cluster.
manage:/manage/v2/clusters/{id|name}?view=metrics Retrieve historical monitoring data for the specified cluster.
manage:/manage/v2/clusters/{id|name}?view=status This resource address returns a status summary for the specified foreign cluster.
manage:/manage/v2/databases This resource address returns a summary of the databases in the cluster.
manage:/manage/v2/databases?view=metrics Retrieve historical monitoring data about the databases in the cluster.
manage:/manage/v2/databases/{id|name} This resource address returns information on the specified database.
manage:/manage/v2/databases/{id|name}?view=config This resource address returns configuration information for the named database.
manage:/manage/v2/databases/{id|name}?view=counts This resource address returns the count information for forests attached to the named database.
manage:/manage/v2/databases/{id|name}?view=package This resource address returns configuration details about the named database in a format suitable for use with the /manage/v2/packages interfaces.
manage:/manage/v2/databases/{id|name}?view=status This resource address returns status information for the named database.
manage:/manage/v2/databases/{id|name}/{custom} This resource address returns some custom information for the specified database, as implemented by a specific plugin.
manage:/manage/v2/databases/{id|name}/partitions Retrieve a list of partitions in a database.
manage:/manage/v2/databases/{id|name}/partitions Add a partition to the database.
manage:/manage/v2/databases/{id|name}/partitions/{name} Retrieve a partition summary that includes links to related resources, such as the containing database, member forests, and the partition configuration.
manage:/manage/v2/databases/{id|name}/partitions/{name} Invoke an operation on a partition, such as resizing the partition or transferring or migrating the partition to a different database.
manage:/manage/v2/databases/{id|name}/partitions/{name} Delete the partition identified by {name} from the database identified by {id|name}.
manage:/manage/v2/databases/{id|name}/partitions/{name}/properties Retrieve the current configuration for the partition identified by {name} in the database identified by {name|id}.
manage:/manage/v2/databases/{id|name}/partitions/{name}/properties Modify the configuration of the partition identified by {name} in the database identified by {id|name}.
manage:/manage/v2/databases/{id|name}/rebalancer This resource address returns the current rebalancer configuration.
manage:/manage/v2/databases/{id|name}/rebalancer Update the rebalancer configuration for a database.
manage:/manage/v2/databases/{id|name}/sub-databases Retrieve a list of sub-databases of the database identified by {id|name}.
manage:/manage/v2/databases/{id|name}/sub-databases Create a new database attached as sub-database of the database identified by {id|name}.
manage:/manage/v2/databases/{id|name}/super-databases Retrieve a list of super-databases of which the specified database is a sub-database.
manage:/manage/v2/databases/{id|name}/super-databases Create a new database and make it a super-database of the database identified by {id|name}.
manage:/manage/v2/databases/{sub-id|name}/super-databases/{super-id|name} Retrieve a summary about a specific super-database of a sub-database.
manage:/manage/v2/databases/{sub-id|name}/super-databases/{super-id|name} Disassociate a super-database from a sub-database and delete the super-database.
manage:/manage/v2/databases/{super-id|name}/sub-databases/{sub-id|name} Retrieve a summary of the specified sub-database, including a list of sibling sub-databases, if any.
manage:/manage/v2/databases/{super-id|name}/sub-databases/{sub-id|name} Disassociate a sub-database from a super-database and delete the sub-database.
manage:/manage/v2/forests This resource address returns data about the forests in the cluster.
manage:/manage/v2/forests Create a new forest, including replicas if specified.
manage:/manage/v2/forests Perform an operation on one or more forests, such as combining multiple forests into a single new one, or migrating the data in the forests to a new data directory.
manage:/manage/v2/forests?view=metrics Retrieve historical monitoring data about the forests in the cluster.
manage:/manage/v2/forests?view=status This resource address returns status information about the forests in the cluster.
manage:/manage/v2/forests?view=storage This resource address returns storage information about the forests in the cluster.
manage:/manage/v2/forests/{id|name} Initiate a state change on a forest, such as a merge, restart, or attach.
manage:/manage/v2/forests/{id|name} Delete a forest.
manage:/manage/v2/forests/{id|name} Retrieve information about a forest.
manage:/manage/v2/forests/{id|name}?view=config Retrieve configuration information about the named forest.
manage:/manage/v2/forests/{id|name}?view=counts Retrieve count information about a forest.
manage:/manage/v2/forests/{id|name}?view=status Retrieve status information about the named forest.
manage:/manage/v2/forests/{id|name}/{custom} This resource address returns some custom information for the specified forest, as implemented by a specific plugin.
manage:/manage/v2/forests/{id|name}/properties Retrieve the current state of modifiable properties of the forest identified by {id|name}.
manage:/manage/v2/forests/{id|name}/properties Modify the configuration of the forest identified by {id|name}.
manage:/manage/v2/groups This resource address returns a summary of the groups in the cluster.
manage:/manage/v2/groups/{id|name} This resource address returns information on the specified group.
manage:/manage/v2/groups/{id|name}?view=config This resource address returns configuration information on the specified group.
manage:/manage/v2/groups/{id|name}?view=counts This resource address returns counts information on the specified group.
manage:/manage/v2/groups/{id|name}?view=status This resource address returns status information on the specified group.
manage:/manage/v2/hosts Retrieve information about the hosts in a cluster.
manage:/manage/v2/hosts?view=metrics Retrieve historical monitoring data about the hosts in the cluster.
manage:/manage/v2/hosts?view=status Retrieve status information about the hosts in the cluster.
manage:/manage/v2/hosts/{id|name} This resource address returns information on a specific host.
manage:/manage/v2/hosts/{id|name} Initiate a state change on a host, such as a shutdown or restart.
manage:/manage/v2/hosts/{id|name}?view=config This resource address returns configuration information on a specific host.
manage:/manage/v2/hosts/{id|name}?view=counts This resource address returns counts information on a specific host.
manage:/manage/v2/hosts/{id|name}?view=status This resource address returns status information on a specific host.
manage:/manage/v2/hosts/{id|name}/{custom} This resource address returns some custom information for the specified host, as implemented by a specific plugin.
manage:/manage/v2/hosts/{id|name}/properties This resource address returns the current state of modifiable properties of the specified host.
manage:/manage/v2/hosts/{id|name}/properties Initiate a properties change on the specified host.
manage:/manage/v2/meters/labels This resource address returns all of the labels stored for the monitoring history timespans.
manage:/manage/v2/meters/labels This resource address creates a label and returns the ID of the created label.
manage:/manage/v2/meters/labels This resource address returns information on the /manage/v2/meters/labels endpoint.
manage:/manage/v2/meters/labels/{id|name} This resource address returns the named label stored for the monitoring history timespans.
manage:/manage/v2/meters/labels/{id|name} This resource address updates an exiting label and returns the ID of the updated label.
manage:/manage/v2/meters/labels/{id|name} This resource address deletes the named label.
manage:/manage/v2/meters/labels/{id|name} This resource address tests to see if the named label is in MarkLogic Server.
manage:/manage/v2/meters/labels/{id|name} This resource address returns information on the /manage/v2/meters/labels/{id|name} endpoint.
manage:/manage/v2/meters/resources This resource address returns a list of all of the resources in the local cluster that existed in specified time period..
manage:/manage/v2/packages This resource address returns a list of packages exported for this cluster.
manage:/manage/v2/packages This resource address creates a new package and returns the URI of the created package.
manage:/manage/v2/packages/{pkgname} This resource address tests for an existing package, named pkgname.
manage:/manage/v2/packages/{pkgname} This resource address returns the named package (pkgname).
manage:/manage/v2/packages/{pkgname} This resource address allows you to add a packaged configuration to the named package (pkgname).
manage:/manage/v2/packages/{pkgname} This resource address deletes the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/databases This resource address returns a list of the databases in the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/databases/{name} This resource address tests to see if the named database (name) is in the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/databases/{name} This resource address returns configuration for the named database (name) in the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/databases/{name} This resource address adds a database configuration to the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/databases/{name} This resource address deletes the named database (name) from the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/install This resource address installs the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/servers This resource address returns a list of the servers in the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/servers/{name} This resource address tests to see if the named server (name) is in the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/servers/{name} This resource address returns configuration for the named server (name) in the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/servers/{name} This resource address adds a server configuration to the named package (pkgname).
manage:/manage/v2/packages/{pkgname}/servers/{name} This resource address deletes the named server (name) from the named package (pkgname).
manage:/manage/v2/requests This resource address returns a summary of the requests in the cluster.
manage:/manage/v2/requests/{id|uri} This resource address returns information on the specified request.
manage:/manage/v2/servers This resource address returns data about the App Servers in the cluster.
manage:/manage/v2/servers?view=metrics Retrieve historical monitoring data about the App Servers in the cluster.
manage:/manage/v2/servers?view=status This resource address returns status information for the App Servers in the cluster.
manage:/manage/v2/servers/{id|name} This resource address returns data about a specific App Server.
manage:/manage/v2/servers/{id|name}?view=config This resource address returns configuration data about a specific App Server.
manage:/manage/v2/servers/{id|name}?view=package This resource address returns configuration details about the named App Server in a format suitable for use with the /manage/v2/packages interfaces.
manage:/manage/v2/servers/{id|name}?view=status This resource address returns status information about a specific App Server.
manage:/manage/v2/servers/{id|name}/{custom} This resource address returns some custom information for the specified server, as implemented by a specific plugin.
manage:/manage/v2/tickets/{ticketnumber}/revert This resource address reverts to the configuration that existed before installing the package associated with the specified ticket (ticketnumber).
manage:/manage/v2/tickets/{tid}?view=process-status Check the status of the ticket identified by {tid}.
manage:/manage/v2/transactions This resource address returns a summary of the transactions in the cluster.
manage:/manage/v2/transactions/{id|uri} This resource address returns information on the specified transaction.
rest-client:/v1/alert/match Retrieve a list of rules (including the rule metadata) that match documents identified by a query or a list of URIs.
rest-client:/v1/alert/match Retrieve a list of rules (including the rule metadata) that match either documents in the database identified by a document selection query defined in the request body or a transient document supplied in the request body.
rest-client:/v1/alert/rules Retrieve the definition of all alert rules previously installed in this REST API instance using the /v1/alert/{name} service.
rest-client:/v1/alert/rules/{name} Retrieve the alerting rule definition installed with the given name.
rest-client:/v1/alert/rules/{name} Install an alerting rule under the given name.
rest-client:/v1/alert/rules/{name} Test for the existence of a rule with the given name.
rest-client:/v1/alert/rules/{name} Delete an alerting rule previously installed using PUT /v1/alert/rules/{name}.
rest-client:/v1/config/indexes Request a report on whether or not the database configuration includes index configurations that satisfy all installed query options.
rest-client:/v1/config/indexes/{name} Request a report on whether or not the database configuration includes index configurations that satisfy these named query options.
rest-client:/v1/config/namespaces List all namespace bindings configured for use in queries, ordered alphabetically by prefix.
rest-client:/v1/config/namespaces Create or append to namespace bindings that can be used in subsequent query operations.
rest-client:/v1/config/namespaces Create or replace namespace bindings that can be used in subsequent query operations.
rest-client:/v1/config/namespaces Remove all installed namespace bindings.
rest-client:/v1/config/namespaces/{prefix} Retrieve the namespace URI associated with the REST service namespace binding prefix {prefix}.
rest-client:/v1/config/namespaces/{prefix} Create or modify a namespace binding.
rest-client:/v1/config/namespaces/{prefix} Remove the namespace binding for {prefix}.
rest-client:/v1/config/properties Retrieve a list of all MarkLogic REST API instance configuration properties names and settings.
rest-client:/v1/config/properties Set or modify MarkLogic REST API instance configuration properties.
rest-client:/v1/config/properties Reset all MarkLogic REST API instance configuration properties to their default values.
rest-client:/v1/config/properties/(property-name) Set the value of the MarkLogic REST API instance configuration property named by {property-name}.
rest-client:/v1/config/properties/{property-name} Retrieve the value of the MarkLogic REST API instance configuration property named by {property-name}.
rest-client:/v1/config/properties/{property-name} Reset the MarkLogic REST API instance configuration property {property-name} to its default value.
rest-client:/v1/config/query Retrieve a list of all the named query options available for use with the service.
rest-client:/v1/config/query Remove all named query options.
rest-client:/v1/config/query/(default|{name}) Retrieve the query options whose name matches the name in the request URI, or retrieve the default query options.
rest-client:/v1/config/query/(default|{name}) Create or append to named query options.
rest-client:/v1/config/query/(default|{name}) Create or replace named query options.
rest-client:/v1/config/query/(default|{name}) Remove the named (or default) query options from the App Server.
rest-client:/v1/config/query/(default|{name})/{child-element} Retrieve the setting for a particular option in named query options.
rest-client:/v1/config/query/(default|{name})/{child-element} Add options to existing named query options, or create new named query options if {name} does not already exist.
rest-client:/v1/config/query/(default|{name})/{child-element} Replace options in existing named query options, or create new named query options if {name} does not already exist.
rest-client:/v1/config/query/(default|{name})/{child-element} Remove an option setting from the named query options.
rest-client:/v1/config/resources Retrieve a list of installed resource service extensions, including their metadata.
rest-client:/v1/config/resources/{name} Retrieve the XQuery library module implementing the named resource service extension.
rest-client:/v1/config/resources/{name} Create or update a resource service extension.
rest-client:/v1/config/resources/{name} Uninstall the named resource service extension.
rest-client:/v1/config/transforms Retrieve metadata about all transforms installed using the /v1/config/transforms/{name} service.
rest-client:/v1/config/transforms/{name} Retrieve the XQuery or XSLT implementation installed for the named transform.
rest-client:/v1/config/transforms/{name} Create or update the named transform.
rest-client:/v1/config/transforms/{name} Remove the named transform.
rest-client:/v1/documents Retrieve document content and/or metadata from the database.
rest-client:/v1/documents Returns the same headers as an equivalent GET (content/metadata fetch) on the /documents service.
rest-client:/v1/documents Insert or update document contents and/or metadata, at a caller-supplied document URI.
rest-client:/v1/documents Insert or update content and/or metadata for multiple documents in a single request.
rest-client:/v1/documents Perform a partial update to content or metadata of a document.
rest-client:/v1/documents Remove a document, or reset document metadata.
rest-client:/v1/documents?extension={ext} Create a new document with a server-generated database URI.
rest-client:/v1/documents?uri={db-uri} Perform a partial update to content or metadata of a document at a caller-specified URI.
rest-client:/v1/ext/{directories} Retrieve a list of assets installed in the modules database associated with a REST API instance, such as a dependent library of an extension or transformation.
rest-client:/v1/ext/{directories} Delete the assets in /ext/{directories} in the modules database associated with the REST API instance.
rest-client:/v1/ext/{directories}/{asset} Retrieve an asset installed in the modules database associated with a REST API instance, such as a dependent library of a module implementing an extension or a transformation.
rest-client:/v1/ext/{directories}/{asset} Install an asset such as a dependent library of an extension module in the modules database associated with this REST API instance.
rest-client:/v1/ext/{directories}/{asset} Remove the asset with document URI /ext/{directories}/{asset} from the modules database associated with this REST API instance.
rest-client:/v1/graphs Retrieve a graph or a list of available graph URIs.
rest-client:/v1/graphs Returns the same headers as an equivalent GET on the /graphs service.
rest-client:/v1/graphs Create or replace triples in a named graph or the default graph.
rest-client:/v1/graphs Merge triples into a named graph or the default graph.
rest-client:/v1/graphs Remove triples in a named graph or the default graph.
rest-client:/v1/graphs/sparql Used to perform a SPARQL query on the database.
rest-client:/v1/graphs/sparql Used to perform a SPARQL query on one or more graphs.
rest-client:/v1/graphs/things Retrieve a list of all graph nodes in the database, or a specified set of nodes.
rest-client:/v1/keyvalue Query the database based on the value of a JSON key, XML element, or XML element attribute.
rest-client:/v1/qbe Search the database using a Query By Example or perform a multi-document read for documents that match a Query By Example.
rest-client:/v1/qbe Search the database using a Query By Example or perform a multi-document read for documents that match a Query By Example.
rest-client:/v1/resources/{name} Make a GET request to the named resource service extension.
rest-client:/v1/resources/{name} Perform the PUT operation associated with a resource service extension.
rest-client:/v1/resources/{name} Applies an extension-specific operation to a resource implemented by a resource service extension.
rest-client:/v1/resources/{name} Send a DELETE request to the named resource service extension.
rest-client:/v1/rest-apis Retrieve a list of REST API instances, including configuration details.
rest-client:/v1/rest-apis Create an instance of the MarkLogic REST API, including an HTTP app server, required modules, and optionally a content database.
rest-client:/v1/rest-apis/{name} Retrieve configuration information about an App Server servicing the MarkLogic REST API.
rest-client:/v1/rest-apis/{name} Remove an HTTP App Server servicing the MarkLogic REST API.
rest-client:/v1/search Search the database using a string and/or structured query, returning search results and/or matching documents.
rest-client:/v1/search Search the database using a structured query, supplied in the POST body; or search the database using a string or structured query with the query options and query combined in the POST body.
rest-client:/v1/search Remove documents in a collection or directory, or clear the database.
rest-client:/v1/suggest Retrieve a list of suggested constraint prefixes and/or constraint values that match (complete) the input query text, similar to the XQuery function search:suggest.
rest-client:/v1/suggest Retrieve a list of suggested constraint prefixes and/or constraint values that match (complete) the input query text, similar to the XQuery function search:suggest.
rest-client:/v1/transactions Create a multi-statement transaction.
rest-client:/v1/transactions/{txid} Retrieve status information for the transaction whose id matches the txid given in the request URI.
rest-client:/v1/transactions/{txid} Commit or rollback the transaction whose id matches the txid given in the request URI.
rest-client:/v1/values Retrieve a list of lexicon configurations available for use with GET /v1/values/{name}.
rest-client:/v1/values/{name} Query the values in a lexicon or range index, or find co-occurrences of values in multiple range indexes.
rest-client:/v1/values/{name} Query the values in a lexicon or range index, or find co-occurrences of values in multiple range indexes.